#ifndef M_SHARE_H
#define M_SHARE_H
/* Pxys - An IRC ProxyScan, m_share.h
 * 
 * Copyright (C) 2001 Stephane Thiell <mbuna@undernet.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * $Id: m_share.h,v 1.2 2001/10/20 01:31:03 mbuna Exp $
 */


#include "typedefs.h"
#include "m_structs.h"

void check_shared_server(unsigned int xserv, int * outNoscan);
void refresh_shared_servers();
Boolean chk_shared(const char *name);
Boolean chk_shared_successor(struct Share_s *shared);

#endif  /* M_SHARE_H */
